| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Private Attributes | List of all members
uiDialogBody Class Reference

`#include <odwindow.h>`

Inheritance diagram for uiDialogBody:
[legend]

## Public Member Functions
| uiDialogBody (uiDialog &, uiParent *, const uiDialog::Setup &)
| ~uiDialogBody ()
void | accept (CallBacker *)
| to be called by a 'ok' button
void | addChild (uiBaseObject &child) override
void | attachChild (ConstraintType, uiObject *child, uiObject *other, int margin, bool reciprocal) override
uiButton * | button (uiDialog::Button)
const uiButton * | button (uiDialog::Button) const
void | done (int i)
void | enableSaveButton (const uiString &txt)
int | exec (bool showminimized)
uiGroup * | getDlgGrp ()
const uiDialog::Setup & | getSetup () const
bool | hasSaveButton () const
HelpKey | helpKey () const
bool | isButtonSensitive (uiDialog::Button) const
int | nrVideos () const
void | provideHelp (CallBacker *)
void | reject (CallBacker *)
| to be called by a 'cancel' button
void | removeVideo (int)
bool | saveButtonChecked () const
bool | separator () const
void | setApplyText (const uiString &)
void | setBorder (int b)
void | setButtonSensitive (uiDialog::Button, bool yn)
void | setCancelText (const uiString &)
| Cancel button disabled when set to empty.
void | setDlgGrp (uiGroup *cw)
void | setHelpKey (const HelpKey &key)
void | setHSpacing (int spc)
void | setOkCancelText (const uiString &, const uiString &)
void | setOkText (const uiString &)
| OK button disabled when set to empty.
void | setSaveButtonChecked (bool yn)
void | setSeparator (bool yn)
| Separator between central dialog and Ok/Cancel bar?
void | setTitleText (const uiString &txt)
void | setVideoKey (const HelpKey &, int idx=-1)
void | setVSpacing (int spc)
void | showVideo (CallBacker *)
int | uiResult ()
void | uiSetResult (int v)
HelpKey | videoKey (int idx) const
Public Member Functions inherited from uiMainWinBody
| uiMainWinBody (uiMainWin &handle, uiParent *parnt, const char *nm, bool modal)
virtual | ~uiMainWinBody ()
void | activateInGUIThread (const CallBack &, bool busywait)
void | addDockWin (uiDockWin &, uiMainWin::Dock)
void | addToolBar (uiToolBar *)
void | close ()
void | construct (int nrstatusflds, bool wantmenubar)
QMenu * | createPopupMenu () override
virtual void | display (bool yn)
const ObjectSet< uiDockWin > & | dockWins () const
void | doSetWindowFlags (Qt::WindowFlags, bool yn)
uiToolBar * | findToolBar (const char *)
uiMenu & | getToolbarsMenu ()
void | go (bool showminimized=false)
bool | isDeleteOnClose () const
bool | isModal () const
| mOD_DisableCopy (uiMainWinBody) static void getTopLevelWindows(ObjectSet< uiMainWin > &
void | move (int, int)
void | move (uiMainWin::PopupArea)
virtual void | polish ()
bool | poppedUp () const
void | reDraw (bool deep)
void | removeDockWin (uiDockWin *)
uiToolBar * | removeToolBar (uiToolBar *)
QScreen * | screen (bool usetoplevel=false) const
void | setInTray (bool yn)
void | setModal (bool yn)
virtual void | show ()
const ObjectSet< uiToolBar > & | toolBars () const
bool | touch ()
uiMenuBar * | uimenubar ()
uiStatusBar * | uistatusbar ()
void | updateToolbarsMenu ()
Public Member Functions inherited from uiCentralWidgetBody
virtual | ~uiCentralWidgetBody ()
void | addChild (uiBaseObject &) override
| mOD_DisableCopy (uiCentralWidgetBody) uiGroup *uiCentralWidg()
Public Member Functions inherited from uiParentBody
| ~uiParentBody ()
const ObjectSet< uiBaseObject > * | childList () const
void | clearChildren ()
void | finalize () override
void | finalizeChildren ()
bool | finalized () const override
void | manageChild (uiBaseObject &child, uiObjectBody &)
| child becomes mine.
QWidget * | managewidg ()
| widget to be used as parent for QWidgets
const QWidget * | managewidg () const
| widget to be used as parent for QWidgets
| mOD_DisableCopy (uiParentBody) virtual void addChild(uiBaseObject &child)
Public Member Functions inherited from uiBody
virtual | ~uiBody ()
virtual void | clear ()
virtual void | fontchanged ()
| mOD_DisableCopy (uiBody) virtual void final ize()
QWidget * | qwidget ()
| can return 0
const QWidget * | qwidget () const
| can return 0
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Protected Member Functions
void | _done (int)
void | applyCB (CallBacker *)
void | closeEvent (QCloseEvent *) override
void | finalize () override
void | finalize (bool) override
void | manageChld_ (uiBaseObject &, uiObjectBody &) override
const QWidget * | managewidg_ () const override
Protected Member Functions inherited from uiMainWinBody
void | closeEvent (QCloseEvent *) override
void | doDisplay (bool yn)
void | doShow (bool minimized=false)
bool | event (QEvent *) override
void | finalize () override
void | keyPressEvent (QKeyEvent *) override
void | managePopupPos ()
const QWidget * | qwidget_ () const override
void | readSettings ()
void | renewToolbarsMenu ()
void | resizeEvent (QResizeEvent *) override
void | restoreDefaultState ()
void | saveSettings ()
void | toggleToolbar (CallBacker *)
Protected Member Functions inherited from uiCentralWidgetBody
| uiCentralWidgetBody (const char *nm)
Protected Member Functions inherited from uiParentBody
| uiParentBody (const char *nm)
void | childDel (CallBacker *)
void | deleteAllChildren ()
Protected Member Functions inherited from uiBody
| uiBody ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
uiButton * | applybut_
uiButton * | cnclbut_
uiToolButton * | creditsbut_
uiGroup * | dlggrp_
uiButton * | helpbut_
bool | initchildrendone_
uiButton * | okbut_
int | result_
uiCheckBox * | savebutcb_
uiToolButton * | savebuttb_
uiDialog::Setup | setup_
uiLabel * | titlelbl_
uiButton * | videobut_
TypeSet< HelpKey > | videokeys_
Protected Attributes inherited from uiMainWinBody
ObjectSet< CallBack > | activatecbs_
Threads::Mutex | activatemutex_
ObjectSet< uiDockWin > | dockwins_
int | eventrefnr_ = -1
bool | exitapponclose_
uiMainWin & | handle_
uiMenuBar * | menubar_
int | nractivated_
uiStatusBar * | statusbar_
ObjectSet< uiToolBar > | toolbars_
uiMenu * | toolbarsmnu_
uiString | windowtitle_
Protected Attributes inherited from uiCentralWidgetBody
uiGroup * | centralwidget_
bool | initing_
Protected Attributes inherited from uiParentBody
ObjectSet< uiBaseObject > | children_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Private Member Functions
uiObject * | createChildren ()
void | initChildren ()
void | layoutChildren (uiObject *)

## Private Attributes
uiDialog & | dlghandle_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from uiMainWinBody
static QScreen * | primaryScreen ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from uiMainWinBody
bool | force_finalize_
bool | visibleonly

## Constructor & Destructor Documentation

## ◆ uiDialogBody()

uiDialogBody::uiDialogBody | ( | uiDialog & | ,
|  | uiParent * | ,
|  | const uiDialog::Setup & | )

## ◆ ~uiDialogBody()

uiDialogBody::~uiDialogBody | ( |  | ) |

## Member Function Documentation

## ◆ _done()

void uiDialogBody::_done | ( | int |  | ) |
| protected

## ◆ accept()

void uiDialogBody::accept | ( | CallBacker * |  | ) |

to be called by a 'ok' button

## ◆ addChild()

void uiDialogBody::addChild | ( | uiBaseObject & | child | ) |
| override

## ◆ applyCB()

void uiDialogBody::applyCB | ( | CallBacker * |  | ) |
| protected

## ◆ attachChild()

void uiDialogBody::attachChild | ( | ConstraintType | ,
|  | uiObject * | child,
|  | uiObject * | other,
|  | int | margin,
|  | bool | reciprocal )
| override virtual

Reimplemented from uiCentralWidgetBody.

## ◆ button() [1/2]

uiButton * uiDialogBody::button | ( | uiDialog::Button |  | ) |

## ◆ button() [2/2]

const uiButton * uiDialogBody::button | ( | uiDialog::Button |  | ) | const

## ◆ closeEvent()

void uiDialogBody::closeEvent | ( | QCloseEvent * |  | ) |
| override protected

## ◆ createChildren()

uiObject * uiDialogBody::createChildren | ( |  | ) |
| private

## ◆ done()

void uiDialogBody::done | ( | int | i | ) |

## ◆ enableSaveButton()

void uiDialogBody::enableSaveButton | ( | const uiString & | txt | ) |

## ◆ exec()

int uiDialogBody::exec | ( | bool | showminimized | ) |

## ◆ finalize() [1/2]

void uiDialogBody::finalize | ( |  | ) |
| inline override protected

## ◆ finalize() [2/2]

void uiDialogBody::finalize | ( | bool |  | ) |
| override protected virtual

Reimplemented from uiMainWinBody.

## ◆ getDlgGrp()

uiGroup * uiDialogBody::getDlgGrp | ( |  | ) |
| inline

## ◆ getSetup()

const uiDialog::Setup & uiDialogBody::getSetup | ( |  | ) | const
| inline

## ◆ hasSaveButton()

bool uiDialogBody::hasSaveButton | ( |  | ) | const

## ◆ helpKey()

HelpKey uiDialogBody::helpKey | ( |  | ) | const
| inline

## ◆ initChildren()

void uiDialogBody::initChildren | ( |  | ) |
| private

## ◆ isButtonSensitive()

bool uiDialogBody::isButtonSensitive | ( | uiDialog::Button |  | ) | const

## ◆ layoutChildren()

void uiDialogBody::layoutChildren | ( | uiObject * |  | ) |
| private

## ◆ manageChld_()

void uiDialogBody::manageChld_ | ( | uiBaseObject & | ,
|  | uiObjectBody & | )
| override protected virtual

Reimplemented from uiCentralWidgetBody.

## ◆ managewidg_()

const QWidget * uiDialogBody::managewidg_ | ( |  | ) | const
| inline override protected virtual

Reimplemented from uiCentralWidgetBody.

## ◆ nrVideos()

int uiDialogBody::nrVideos | ( |  | ) | const

## ◆ provideHelp()

void uiDialogBody::provideHelp | ( | CallBacker * |  | ) |

## ◆ reject()

void uiDialogBody::reject | ( | CallBacker * |  | ) |

to be called by a 'cancel' button

## ◆ removeVideo()

void uiDialogBody::removeVideo | ( | int |  | ) |

## ◆ saveButtonChecked()

bool uiDialogBody::saveButtonChecked | ( |  | ) | const

## ◆ separator()

bool uiDialogBody::separator | ( |  | ) | const
| inline

## ◆ setApplyText()

void uiDialogBody::setApplyText | ( | const uiString & |  | ) |

## ◆ setBorder()

void uiDialogBody::setBorder | ( | int | b | ) |
| inline

## ◆ setButtonSensitive()

void uiDialogBody::setButtonSensitive | ( | uiDialog::Button | ,
|  | bool | yn )

## ◆ setCancelText()

void uiDialogBody::setCancelText | ( | const uiString & |  | ) |

Cancel button disabled when set to empty.

## ◆ setDlgGrp()

void uiDialogBody::setDlgGrp | ( | uiGroup * | cw | ) |
| inline

## ◆ setHelpKey()

void uiDialogBody::setHelpKey | ( | const HelpKey & | key | ) |
| inline

## ◆ setHSpacing()

void uiDialogBody::setHSpacing | ( | int | spc | ) |
| inline

## ◆ setOkCancelText()

void uiDialogBody::setOkCancelText | ( | const uiString & | ,
|  | const uiString & | )

## ◆ setOkText()

void uiDialogBody::setOkText | ( | const uiString & |  | ) |

OK button disabled when set to empty.

## ◆ setSaveButtonChecked()

void uiDialogBody::setSaveButtonChecked | ( | bool | yn | ) |

## ◆ setSeparator()

void uiDialogBody::setSeparator | ( | bool | yn | ) |
| inline

Separator between central dialog and Ok/Cancel bar?

## ◆ setTitleText()

void uiDialogBody::setTitleText | ( | const uiString & | txt | ) |

## ◆ setVideoKey()

void uiDialogBody::setVideoKey | ( | const HelpKey & | ,
|  | int | idx = -1 )

## ◆ setVSpacing()

void uiDialogBody::setVSpacing | ( | int | spc | ) |
| inline

## ◆ showVideo()

void uiDialogBody::showVideo | ( | CallBacker * |  | ) |

## ◆ uiResult()

int uiDialogBody::uiResult | ( |  | ) |
| inline

## ◆ uiSetResult()

void uiDialogBody::uiSetResult | ( | int | v | ) |
| inline

## ◆ videoKey()

HelpKey uiDialogBody::videoKey | ( | int | idx | ) | const

## Member Data Documentation

## ◆ applybut_

uiButton* uiDialogBody::applybut_
| protected

## ◆ cnclbut_

uiButton* uiDialogBody::cnclbut_
| protected

## ◆ creditsbut_

uiToolButton* uiDialogBody::creditsbut_
| protected

## ◆ dlggrp_

uiGroup* uiDialogBody::dlggrp_
| protected

## ◆ dlghandle_

uiDialog& uiDialogBody::dlghandle_
| private

## ◆ helpbut_

uiButton* uiDialogBody::helpbut_
| protected

## ◆ initchildrendone_

bool uiDialogBody::initchildrendone_
| protected

## ◆ okbut_

uiButton* uiDialogBody::okbut_
| protected

## ◆ result_

int uiDialogBody::result_
| protected

## ◆ savebutcb_

uiCheckBox* uiDialogBody::savebutcb_
| protected

## ◆ savebuttb_

uiToolButton* uiDialogBody::savebuttb_
| protected

## ◆ setup_

uiDialog::Setup uiDialogBody::setup_
| protected

## ◆ titlelbl_

uiLabel* uiDialogBody::titlelbl_
| protected

## ◆ videobut_

uiButton* uiDialogBody::videobut_
| protected

## ◆ videokeys_

TypeSet<HelpKey> uiDialogBody::videokeys_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025